Name:           windowchef
Version:        0.4.1
Release:        1%{?dist}
Summary:        Window Chef is a stacking window manager that cooks windows with orders from the Waitron

License:        ISC
URL:            https://github.com/tudurom/windowchef
Source0:        https://github.com/tudurom/windowchef/archive/v%{version}.tar.gz

BuildRequires:  libxcb-devel
BuildRequires:  xcb-util-wm-devel
BuildRequires:  xcb-util-keysyms-devel

%description
Windowchef is a stacking window manager that doesn't handle keyboard or pointer inputs. A third party program (like sxhkd) is needed in order to translate keyboard and pointer events to waitron commands.

Waitron is a prgogram that sends commands to the window manager through X client messages. It doesn't print anything on success. The commands and the parameters are fed as program arguments and waitron delivers them to the windowchef.

Windowchef is written in C with the help of the XCB library for communicating with the X server. It supports randr and a subset of ewmh and icccm.

%prep
%setup -q


%build
make VERBOSE=1 %{?_smp_mflags} CFLAGS="%{optflags}"


%install
%make_install PREFIX=%{_prefix}


%check
#desktop-file-validate %{buildroot}/%{_datadir}/xsessions/%{name}.desktop


%files
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/waitron
%{_docdir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/waitron.1.gz


%changelog
* Mon Aug 21 2017 Jean-Francois Chevrette <jfchevrette@gmail.com> 0.4.0-1
- Update to 0.4.0

* Mon Feb 27 2017 Jean-Francois Chevrette <jfchevrette@gmail.com> 0.3.1-1
- Update to 0.3.1

* Mon Feb 20 2017 Jean-Francois Chevrette <jfchevrette@gmail.com> 0.2.7-1
- Initial package
